Bug 120538 - up2date - source rpms for dependencies not downloading
Summary: up2date - source rpms for dependencies not downloading
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: up2date-fc2
TreeView+ depends on / blocked
 
Reported: 2004-04-10 05:56 UTC by Roger Cross
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 18:43:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roger Cross 2004-04-10 05:56:17 UTC
Description of problem:
up2date is configured to download source rpms and store in a directory
on my computer.
I often tell it to update a specific thing and this sometimes leads it
to download other things that are dependencies.  It does not get the
source rpms for these dependencies but instead says it is getting the
original item's source rpm over and again.  (Of course it does find it
already downloaded in the directory - saving time :-).


Version-Release number of selected component (if applicable):
4.3.15

How reproducible:
every time I have such a dependency list 

Steps to Reproduce:
1. Just try pulling down a new xorg and get all those dependencies!
2.
3.
  
Actual results:
# up2date A
A.rpm is gotten
A.src.rpm is gotten
B.rpm is gotten
A.src.rpm is gotten
etc.


Expected results:
# up2date A
A.rpm is gotten
A.src.rpm is gotten
B.rpm is gotten
B.src.rpm is gotten
etc.


Additional info:

Comment 1 Adrian Likins 2004-04-22 19:57:53 UTC
yeah, thats a messaging problem. If the bins use the same
src rpm, it will look like its downloading the same src rpm
more than once. It should be only downloading it once, and
just verify its in the cache for the rest of the time.


Note You need to log in before you can comment on or make changes to this bug.